Skip to main content
GET
/
api2
/
v1
/
projects
/
{projectUid}
/
jobs
/
{jobUid}
Get job
curl --request GET \
  --url https://cloud.memsource.com/web/api2/v1/projects/{projectUid}/jobs/{jobUid} \
  --header 'Authorization: <api-key>'
{
  "beginIndex": 123,
  "continuous": true,
  "continuousJobInfo": {
    "dateUpdated": "2023-11-07T05:31:56Z"
  },
  "dateCreated": "2023-11-07T05:31:56Z",
  "dateDue": "2023-11-07T05:31:56Z",
  "endIndex": 123,
  "filename": "<string>",
  "importStatus": {
    "errorMessage": "<string>",
    "status": "RUNNING"
  },
  "imported": true,
  "innerId": "<string>",
  "isParentJobSplit": true,
  "jobReference": {
    "filename": "<string>",
    "uid": "<string>"
  },
  "lastWorkflowLevel": 123,
  "originalFileDirectory": "<string>",
  "project": {
    "name": "<string>",
    "uid": "<string>"
  },
  "providers": [
    {
      "type": "<string>",
      "id": "<string>",
      "uid": "<string>"
    }
  ],
  "serverTaskId": "<string>",
  "sourceLang": "<string>",
  "status": "NEW",
  "targetLang": "<string>",
  "uid": "<string>",
  "updateSourceDate": "2023-11-07T05:31:56Z",
  "updateTargetDate": "2023-11-07T05:31:56Z",
  "wordsCount": 123,
  "workUnit": {},
  "workflowLevel": 123,
  "workflowStep": {
    "id": "<string>",
    "name": "<string>",
    "order": 123,
    "workflowLevel": 123
  }
}

Documentation Index

Fetch the complete documentation index at: https://developers.phrase.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.

Path Parameters

projectUid
string
required
jobUid
string
required

Response

successful operation

beginIndex
integer<int32>
continuous
boolean
continuousJobInfo
object
dateCreated
string<date-time>
dateDue
string<date-time>
endIndex
integer<int32>
filename
string
importStatus
object
imported
boolean
innerId
string

InnerId is a sequential number of a job in a project. Jobs created from the same file share the same innerId across workflow steps.

isParentJobSplit
boolean
jobReference
object
lastWorkflowLevel
integer<int32>
originalFileDirectory
string
project
object
providers
object[]
serverTaskId
string
sourceLang
string
status
enum<string>
Available options:
NEW,
ACCEPTED,
DECLINED,
REJECTED,
DELIVERED,
EMAILED,
COMPLETED,
CANCELLED
targetLang
string
uid
string
updateSourceDate
string<date-time>
updateTargetDate
string<date-time>
wordsCount
integer<int32>
workUnit
object
workflowLevel
integer<int32>
workflowStep
object